#
# /etc/csh.login   Read by csh and tcsh (login shells only)
#

# default section (change only if you know what you are doing...)
# ===============================================================

umask 022
set notify
set history = 100
set savehist = 100
set watch = (5 any any)
set addsuffix
set autoexpand
set autolist
set listjobs = long
set shell = /bin/sh
# set tty = `tty`
set cdpath = ( /var/spool )

# do not write coredumps by default
limit coredumpsize 0

# set the command prompt
set prompt = "%n@%m:%~%# "

setenv PAGER less
setenv LESSCHARSET latin1
# setenv EDITOR vim
# setenv VISUAL vim
setenv PRINTER ps
# setenv VERSION_CONTROL numbered
setenv OPENWINHOME /usr/openwin
set path = ( $path $OPENWINHOME/bin )
set path = ( $path /usr/lib/interviews/bin )

# See metamail(1). Run metamail as root.
setenv MM_RUNASROOT true

# For all programs that use the GNU readline library, e.g. bash, gdb, ...
# setenv INPUTRC /etc/inputrc

# make minicom use line drawing characters
if ($TERM == linux) then
	setenv MINICOM "-l -t minicom"
endif



# remote controlled section (configured by /etc/system.cnf)
# =========================================================

# NLS / multi language support
setenv LC_CTYPE "`get_val CONF_LC_CTYPE`"
setenv LANG "`get_val CONF_LANG`"

# use this if you masquerade as another host (used by tin)
# setenv REPLYTO "`get_val CONF_VISIBLE_HOSTNAME`"

# news server    (necessary as Pnews ignores /etc/nntpserver)
setenv NNTPSERVER "`get_val CONF_NEWS_SERVER1_IP`"

# archie server  (used by archie as default)
setenv ARCHIE_HOST "`get_val CONF_ARCHIE_SERVER1_IP`"



# put your personal setup (or any overrides) below
# ================================================

# show system infos
sysinfo --motd


# End /etc/csh.login
