#
# /etc/sh.login   Read by sh, bash and ksh (login shells only)
#
# Note: This script is called from /etc/profile from login shells
#       This is not standard but similar to csh/tcsh's /etc/csh.login
#

# default section (only change if you know what you are doing...)
# ===============================================================

umask 022
set notify
HISTSIZE=100

# do not write coredumps by default
ulimit -c 0
history_control=ignoredups

# set the command prompt
export PS1='\u@\h:\w\$ '
export PS2='> '

export PAGER=less
export LESSCHARSET=latin1
# export EDITOR=vim
# export VISUAL=vim
export PRINTER=ps
# export VERSION_CONTROL=numbered
if [ -d /usr/openwin ]; then
	export OPENWINHOME=/usr/openwin
	export PATH="$PATH:$OPENWINHOME/bin" 
fi
if [ -d /usr/lib/interviews ]; then
	export PATH="$PATH:/usr/lib/interviews/bin" 
fi

# See metamail(1). Run metamail as root.
export MM_RUNASROOT=true

# For all programs that use the GNU readline library, e.g. bash, gdb, ...
# export INPUTRC=/etc/inputrc

# make minicom use line drawing characters
if test "$TERM" = "linux" ; then
	export MINICOM="-l -t minicom"
fi



# remote controlled section (configured by /etc/system.cnf)
# =========================================================

# NLS / multi language support
export LC_CTYPE="`get_val CONF_LC_CTYPE`"
export LANG="`get_val CONF_LANG`"

# use this if you masquerade as another host (used by tin)
# export REPLYTO="`get_val CONF_VISIBLE_HOSTNAME`"

# news server      (necessary as Pnews ignores /etc/nntpserver)
export NNTPSERVER="`get_val CONF_NEWS_SERVER1_IP`"

# archie server    (used by archie as default)
export ARCHIE_HOST="`get_val CONF_ARCHIE_SERVER1_IP`"



# put your personal setup (or any overrides) below
# ================================================

# show system infos
sysinfo --motd

# End /etc/sh.login
