#!/bin/sh

mkdir -p etc
( cd etc ; ln -sf /var/run/utmp utmp )
mkdir -p usr
( cd usr ; ln -sf X11R6 X11 )
mkdir -p usr/lib
( cd usr/lib ; ln -sf /usr/X11R6/lib/X11 X11 )
mkdir -p usr/bin
( cd usr/bin ; ln -sf /usr/X11R6/bin X11 )
mkdir -p var/spool/mail
( cd var ; ln -sf spool/mail mail )
mkdir -p var/adm
( cd var/adm ; ln -sf /var/run/utmp utmp )
mkdir -p var/log
( cd var/log ; ln -sf /var/adm/wtmp wtmp )
mkdir -p usr
( cd usr ; ln -sf ../var/tmp tmp )
mkdir -p usr/X11R6/bin
( cd usr/X11R6/bin ; ln -sf XF86_Mono X )
cp -a etc/issue etc/.issue
( cd sbin ; ln -sf hostname_notcp hostname )

# move contents from usr/spool to var/spool and symlink it
if [ ! -d usr/spool ]; then
	( cd usr ; ln -s ../var/spool spool )
else
	if [ ! -L usr/spool ]; then
		mkdir -p var/spool
		cp -aR usr/spool/* var/spool || exit 1
		rm -fr usr/spool || exit 1
		( cd usr ; ln -s ../var/spool spool )
	fi
fi

# autoload currently loaded modules
mkdir -p etc/modules/options
mkdir -p etc/modules/`uname -r`
lsmod | fgrep -v "Module:" | cut -d' ' -f 1 > etc/modules/`uname -r`/"`uname -v`"
# make sure isofs is loaded by default
lsmod | fgrep isofs > /dev/null
if [ $? -ne 0 ]; then
	echo "isofs" >> etc/modules/`uname -r`/"`uname -v`"
fi
# make sure nfs is loaded by default
lsmod | fgrep nfs > /dev/null
if [ $? -ne 0 ]; then
	echo "nfs" >> etc/modules/`uname -r`/"`uname -v`"
fi

